Bug 2075842 (CVE-2022-21476) - CVE-2022-21476 OpenJDK: Defective secure validation in Apache Santuario (Libraries, 8278008)
Summary: CVE-2022-21476 OpenJDK: Defective secure validation in Apache Santuario (Libr...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-21476
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2073577 2073579 2073593 2073595 2074646 2074650 2073575 2073576 2073578 2073587 2073589 2073590 2073591 2073592 2073594 2073601 2074639 2074641 2074642 2074643 2074644 2074645 2074649
Blocks: 2073424
TreeView+ depends on / blocked
 
Reported: 2022-04-15 15:55 UTC by Mauro Matteo Cascella
Modified: 2022-07-06 14:29 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-29 00:15:15 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:1479 0 None None None 2022-04-20 20:55:14 UTC
Red Hat Product Errata RHBA-2022:1493 0 None None None 2022-04-21 12:14:31 UTC
Red Hat Product Errata RHBA-2022:1528 0 None None None 2022-04-25 16:37:38 UTC
Red Hat Product Errata RHBA-2022:1529 0 None None None 2022-04-25 17:29:02 UTC
Red Hat Product Errata RHBA-2022:1593 0 None None None 2022-04-26 16:50:23 UTC
Red Hat Product Errata RHBA-2022:1594 0 None None None 2022-04-26 16:47:41 UTC
Red Hat Product Errata RHBA-2022:1598 0 None None None 2022-04-26 16:58:37 UTC
Red Hat Product Errata RHBA-2022:1624 0 None None None 2022-04-27 08:24:10 UTC
Red Hat Product Errata RHBA-2022:1630 0 None None None 2022-04-27 11:11:57 UTC
Red Hat Product Errata RHBA-2022:1633 0 None None None 2022-04-28 00:28:37 UTC
Red Hat Product Errata RHBA-2022:1634 0 None None None 2022-04-27 21:10:33 UTC
Red Hat Product Errata RHBA-2022:1635 0 None None None 2022-04-27 21:16:43 UTC
Red Hat Product Errata RHBA-2022:1641 0 None None None 2022-04-28 14:29:19 UTC
Red Hat Product Errata RHBA-2022:1653 0 None None None 2022-05-02 01:15:04 UTC
Red Hat Product Errata RHBA-2022:1668 0 None None None 2022-05-02 11:20:44 UTC
Red Hat Product Errata RHBA-2022:1752 0 None None None 2022-05-09 14:02:59 UTC
Red Hat Product Errata RHBA-2022:4709 0 None None None 2022-05-23 17:49:54 UTC
Red Hat Product Errata RHBA-2022:4761 0 None None None 2022-05-27 10:36:11 UTC
Red Hat Product Errata RHBA-2022:4762 0 None None None 2022-05-26 12:06:28 UTC
Red Hat Product Errata RHSA-2022:1435 0 None None None 2022-04-28 18:59:39 UTC
Red Hat Product Errata RHSA-2022:1436 0 None None None 2022-04-28 19:04:04 UTC
Red Hat Product Errata RHSA-2022:1437 0 None None None 2022-04-28 19:04:32 UTC
Red Hat Product Errata RHSA-2022:1438 0 None None None 2022-04-28 18:58:52 UTC
Red Hat Product Errata RHSA-2022:1439 0 None None None 2022-04-28 19:00:00 UTC
Red Hat Product Errata RHSA-2022:1440 0 None None None 2022-04-20 15:24:00 UTC
Red Hat Product Errata RHSA-2022:1441 0 None None None 2022-04-20 13:08:46 UTC
Red Hat Product Errata RHSA-2022:1442 0 None None None 2022-04-20 14:14:42 UTC
Red Hat Product Errata RHSA-2022:1443 0 None None None 2022-04-20 12:38:35 UTC
Red Hat Product Errata RHSA-2022:1444 0 None None None 2022-04-20 12:50:32 UTC
Red Hat Product Errata RHSA-2022:1445 0 None None None 2022-04-20 13:28:34 UTC
Red Hat Product Errata RHSA-2022:1487 0 None None None 2022-04-25 13:47:58 UTC
Red Hat Product Errata RHSA-2022:1488 0 None None None 2022-04-25 14:59:33 UTC
Red Hat Product Errata RHSA-2022:1489 0 None None None 2022-04-25 15:00:15 UTC
Red Hat Product Errata RHSA-2022:1490 0 None None None 2022-04-25 15:09:12 UTC
Red Hat Product Errata RHSA-2022:1491 0 None None None 2022-04-25 15:48:01 UTC
Red Hat Product Errata RHSA-2022:1492 0 None None None 2022-04-28 18:58:34 UTC
Red Hat Product Errata RHSA-2022:1728 0 None None None 2022-05-17 23:39:39 UTC
Red Hat Product Errata RHSA-2022:1729 0 None None None 2022-05-17 23:39:23 UTC
Red Hat Product Errata RHSA-2022:2137 0 None None None 2022-05-17 23:39:08 UTC

Description Mauro Matteo Cascella 2022-04-15 15:55:03 UTC
A flaw was found in Apache Santuario (XML Security for Java) in the way it processed some paths. A remote attacker could use this flaw to circumvent the "secure validation" feature and disclose potentially sensitive information in local XML files.

Comment 7 errata-xmlrpc 2022-04-20 12:38:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:1443 https://access.redhat.com/errata/RHSA-2022:1443

Comment 8 errata-xmlrpc 2022-04-20 12:50:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:1444 https://access.redhat.com/errata/RHSA-2022:1444

Comment 9 errata-xmlrpc 2022-04-20 13:08:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:1441 https://access.redhat.com/errata/RHSA-2022:1441

Comment 10 errata-xmlrpc 2022-04-20 13:28:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1445 https://access.redhat.com/errata/RHSA-2022:1445

Comment 12 errata-xmlrpc 2022-04-20 14:14:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1442 https://access.redhat.com/errata/RHSA-2022:1442

Comment 13 Mauro Matteo Cascella 2022-04-20 15:21:32 UTC
Oracle CPU April 2022:

https://www.oracle.com/security-alerts/cpuapr2022.html#AppendixJAVA

Fixed in Oracle Java SE 7u341, 8u331, 11.0.15, 17.0.3, 18.0.1.

Comment 14 errata-xmlrpc 2022-04-20 15:23:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:1440 https://access.redhat.com/errata/RHSA-2022:1440

Comment 15 errata-xmlrpc 2022-04-25 13:47:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:1487 https://access.redhat.com/errata/RHSA-2022:1487

Comment 16 errata-xmlrpc 2022-04-25 14:59:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:1488 https://access.redhat.com/errata/RHSA-2022:1488

Comment 17 errata-xmlrpc 2022-04-25 15:00:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:1489 https://access.redhat.com/errata/RHSA-2022:1489

Comment 18 errata-xmlrpc 2022-04-25 15:09:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:1490 https://access.redhat.com/errata/RHSA-2022:1490

Comment 19 errata-xmlrpc 2022-04-25 15:47:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1491 https://access.redhat.com/errata/RHSA-2022:1491

Comment 20 errata-xmlrpc 2022-04-28 18:58:31 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 8u332

Via RHSA-2022:1492 https://access.redhat.com/errata/RHSA-2022:1492

Comment 21 errata-xmlrpc 2022-04-28 18:58:50 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 8u332

Via RHSA-2022:1438 https://access.redhat.com/errata/RHSA-2022:1438

Comment 22 errata-xmlrpc 2022-04-28 18:59:37 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 11.0.15

Via RHSA-2022:1435 https://access.redhat.com/errata/RHSA-2022:1435

Comment 23 errata-xmlrpc 2022-04-28 18:59:57 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 11.0.15

Via RHSA-2022:1439 https://access.redhat.com/errata/RHSA-2022:1439

Comment 24 errata-xmlrpc 2022-04-28 19:04:02 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 17.0.3

Via RHSA-2022:1436 https://access.redhat.com/errata/RHSA-2022:1436

Comment 25 errata-xmlrpc 2022-04-28 19:04:30 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 17.0.3

Via RHSA-2022:1437 https://access.redhat.com/errata/RHSA-2022:1437

Comment 26 Product Security DevOps Team 2022-04-29 00:15:13 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-21476

Comment 27 errata-xmlrpc 2022-05-17 23:39:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:2137 https://access.redhat.com/errata/RHSA-2022:2137

Comment 28 errata-xmlrpc 2022-05-17 23:39:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:1729 https://access.redhat.com/errata/RHSA-2022:1729

Comment 29 errata-xmlrpc 2022-05-17 23:39:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:1728 https://access.redhat.com/errata/RHSA-2022:1728


Note You need to log in before you can comment on or make changes to this bug.